package com.steerinfo.ems.emsprodplanround.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.emsprodplanround.model.EmsProdplanRound;
import com.steerinfo.ems.emsprodplanround.mapper.EmsProdplanRoundMapper;
import com.steerinfo.ems.emsprodplanround.service.IEmsProdplanRoundService;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import com.steerinfo.framework.service.pagehelper.PageList;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * EmsProdplanRound服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-07-06 03:43
 * 类描述
 * 修订历史：
 * 日期：2021-07-06
 * 作者：generator
 * 参考：
 * 描述：EmsProdplanRound服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "emsProdplanRoundService")
public class EmsProdplanRoundServiceImpl extends BaseServiceImpl<EmsProdplanRound, String> implements IEmsProdplanRoundService {

    @Autowired
    private EmsProdplanRoundMapper emsProdplanRoundMapper;

    @Override
    protected IBaseMapper<EmsProdplanRound, String> getMapper() {
        return emsProdplanRoundMapper;
    }

    @Override
    public EmsProdplanRound getbeyondWeight(HashMap<String,Object> parmas) {
        return emsProdplanRoundMapper.getbeyondWeight(parmas);
    }

    @Override
    public EmsProdplanRound getSumPlanWeight(List ids) {
        return emsProdplanRoundMapper.getSumPlanWeight(ids);
    }

    @Override
    public String getMaxidAsGm(EmsProdplanRound emsProdplanRound) {
        return emsProdplanRoundMapper.getMaxidAsGm(emsProdplanRound);
    }

    @Override
    public String getMaxidAsSC(EmsProdplanRound emsProdplanRound) {
        return emsProdplanRoundMapper.getMaxidAsSC(emsProdplanRound);
    }

    @Override
    public List<EmsProdplanRound> getbasespecbillet() {
        return emsProdplanRoundMapper.getbasespecbillet();
    }

    @Override
    public List<EmsProdplanRound> getiateralArea() {
        return emsProdplanRoundMapper.getiateralArea();
    }

    @Override
    public List<EmsProdplanRound> getdimension() {
        return emsProdplanRoundMapper.getdimension();
    }

    @Override
    public List<EmsProdplanRound> getsurfaceStandard() {
        return emsProdplanRoundMapper.getsurfaceStandard();
    }

    @Override
    public List<EmsProdplanRound> getchemicalStandard() {
        return emsProdplanRoundMapper.getchemicalStandard();
    }

    @Override
    public PageList<Map<String, Object>> getAuditDateForPage(HashMap<String, Object> parmas, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum,pageSize);
        List<Map<String, Object>> auditDate = emsProdplanRoundMapper.getAuditDate(parmas);
        PageList<Map<String,Object>> plist = new PageList<Map<String,Object>>(auditDate);
        return plist;
    }

    @Override
    public Integer updateAuditState(EmsProdplanRound emsProdplanRound) {
        return emsProdplanRoundMapper.updateAuditState(emsProdplanRound);
    }

    @Override
    public List<EmsProdplanRound> getRounds(EmsProdplanRound emsProdplanRound) {
        return emsProdplanRoundMapper.getRounds(emsProdplanRound);
    }
}
